﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="MyCustomNamespace" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />

        <script type="text/javascript">
            var combo = null;
            function PrepareComboForDisposal(comboId)
            {
                if (!combo)
                {
                    combo = [];
                }
                
                combo[combo.length] = comboId;
            }
            
            function DestroyComboDropDowns()
            {
                for (var i=0; i < combo.length; i++)
                {
                    var dropdown = document.getElementById(combo[i] + "_DropDownPlaceholder");
                    if (dropdown)
                    {
                        dropdown.parentNode.removeChild(dropdown);
                    }
                }
                
                combo = null;
            }            
             
            function PreventDropDownClose(e)
            {
                if (!e)
                    var e = window.event;
                    
                e.cancelBubble = true;
                
                if (e.stopPropagation)
                    e.stopPropagation();
            }
        </script>

        <div>
            <telerik:RadAjaxManager runat="server" ID="radAjaxManger">
                <AjaxSettings>
                    <telerik:AjaxSetting AjaxControlID="radGrid1">
                        <UpdatedControls>
                            <telerik:AjaxUpdatedControl ControlID="radGrid1" LoadingPanelID="AjaxLoadingPanel1" />
                        </UpdatedControls>
                    </telerik:AjaxSetting>
                </AjaxSettings>
            
            </telerik:RadAjaxManager>
         
                <telerik:RadGrid ID="radGrid1" runat="server" DataSourceID="AccessDataSource1" AllowFilteringByColumn="true"
                    Skin="Vista" AutoGenerateColumns="false" AllowPaging="true">
                    <mastertableview datasourceid="AccessDataSource1">
                        <Columns>
                            <custom:MyTemplatedColumn DataField="OrderDate" HeaderText="Order Date" UniqueName="OrderDate"
                                CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType" ForceExtractValue="None">
                                <itemtemplate>
                                    <%#Eval("OrderDate") %>                            
                                </itemtemplate>
                            </custom:MyTemplatedColumn>
                            <custom:MyTemplatedColumn DataField="RequiredDate" HeaderText="Required Date" UniqueName="RequiredDate"
                                CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType" ForceExtractValue="None">
                                <itemtemplate>
                                    <%#Eval("RequiredDate")%>                            
                                </itemtemplate>
                            </custom:MyTemplatedColumn>
                        </Columns>
                    </mastertableview>
                </telerik:RadGrid>
                
         
            <telerik:RadAjaxLoadingPanel ID="AjaxLoadingPanel1" runat="server">
                <img alt="Loading..." src='<%= RadAjaxLoadingPanel.GetWebResourceUrl(Page, "Telerik.Web.UI.Skins.Default.Ajax.loading.gif") %>'
                    style="border: 0px;" />
            </telerik:RadAjaxLoadingPanel>
        </div>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Nwind.mdb"
            SelectCommand="SELECT [OrderID], [OrderDate], [RequiredDate] FROM [Orders]"></asp:AccessDataSource>
        <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" Text="Clear Filter" />
    </form>
</body>
</html>
