<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ComboControl.ascx.cs"
    Inherits="ComboControl" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<script language="javascript" type="text/javascript">
    function PreventDropDownClose(e)
    {        
        if (!e)
            var e = window.event;
            
        e.cancelBubble = true;
        
        if (e.stopPropagation)
            e.stopPropagation();
    }
</script>

<telerik:RadComboBox ID="radComboBox1" runat="server" DropDownWidth="280px" CloseDropDownOnBlur="false"
    Skin="Outlook">
    <Items>
        <telerik:RadComboBoxItem Selected="True" runat="server" />
    </Items>
    <ItemTemplate>
        <table style="width: 100%; height: 100%">
            <tr onclick="PreventDropDownClose(event);">
                <td>
                    <telerik:RadCalendar ID="radCalendar1" runat="server" Width="112px" EnableMultiSelect="false"
                        FocusedDate="1996/7/1" Skin="Outlook">
                    </telerik:RadCalendar>
                </td>
                <td>
                    <telerik:RadCalendar ID="radCalendar2" runat="server" Width="112px" EnableMultiSelect="false"
                        FocusedDate="1996/7/1" Skin="Outlook">
                    </telerik:RadCalendar>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <asp:Button ID="ButtonOK" runat="server" Text="OK" CommandName="DateFilter" Width="40px" />
                    <asp:Button ID="ButtonClear" runat="server" Text="Clear" CommandName="Clear" Width="40px" />
                </td>                
            </tr>
        </table>
    </ItemTemplate>
    <CollapseAnimation Duration="200" Type="OutQuint" />
    <ExpandAnimation Type="OutQuart" />
</telerik:RadComboBox>
